<?php

namespace app\index\model;

use think\Model;

class BoxModel extends Model {

    // 确定链接表名
    protected $name = 'box';

    /**
     * 根据柜号箱号获取箱子信息
     * @cabinet_number $param
     * @box_number $param
     */
    public function getOneCabinetBox($cabinet_number,$box_number)
    {
        return $this->where(['cabinet_number' => $cabinet_number, 'box_number'=>$box_number])->find();
    }

    /**
     * 根据既定条件修改信息
     * @where $param
     * @update $param
     */
    public function editData($where,$update)
    {
        try{
            $result = $this->save($update, $where);
            if(false === $result){
                // 验证失败 输出错误信息
                return msg(-1, '', $this->getError());
            }else{

                return msg(1, '', 'success');
            }
        }catch(\Exception $e){
            return msg(-2, '', $e->getMessage());
        }
    }
}