<?php

namespace app\index\controller;

use app\index\model\OrderModel;
use think\Controller;

class Order extends Controller
{
    public function check_rcode(){
        $order_sn = input('param.order_sn');
        $OrderModel = new OrderModel();
        $order = $OrderModel->getOne($order_sn);
        if(empty($order)){
            return json(json_error_exception(2001));
        }
        $ret = ['existed' => true,'order_sn' => $order_sn];
        json_success($ret);
    }
    /**
     * 订单绑定校验码
    */
    public function order_bind_code(){
        $order_sn = input('param.order_sn');
        $OrderModel = new OrderModel();

        $order = $OrderModel->getOne($order_sn);
        if(empty($order)){
            return json(json_error_exception(1008));
        }
        $code = $this->createRandCode();
        $result = $OrderModel->editData(['order_sn' => $order_sn],['code' => $code]);
        if($result['code'] != 1){
            return json(json_error_exception('1006',$result['msg']));
        }
        json_success('');
    }
    /**
     * 生成校验码
    */
    public function createRandCode(){
        $code = rand(100000,999999);
        $OrderModel = new OrderModel();
        $order = $OrderModel->where('code',$code)->find();
        if(!empty($order)){
            $this->createRandCode();
        }
        return $code;
    }

}